Package com.sap.ai.sdk.grounding.model

# Class SearchScores

java.lang.Object
com.sap.ai.sdk.grounding.model.SearchScores

public class SearchScores extends Object
SearchScores

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `SearchScores.Builder`
  Builder helper class.
  `static interface`
  `SearchScores.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SearchScores()`
  Default constructor for SearchScores.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SearchScores`
  `aggregatedScore(SearchScoresAggregatedScore aggregatedScore)`
  Set the aggregatedScore of this `SearchScores` instance and return the same instance.
  `static SearchScores.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `SearchScores` instance with all required arguments.
  `SearchScores`
  `denseRetrievalScore(SearchScoresAggregatedScore denseRetrievalScore)`
  Set the denseRetrievalScore of this `SearchScores` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `SearchScoresAggregatedScore`
  `getAggregatedScore()`
  Get aggregatedScore
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `SearchScores`.
  `SearchScoresAggregatedScore`
  `getDenseRetrievalScore()`
  Get denseRetrievalScore
  `int`
  `hashCode()`
  `void`
  `setAggregatedScore(SearchScoresAggregatedScore aggregatedScore)`
  Set the aggregatedScore of this `SearchScores` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `SearchScores` instance.
  `void`
  `setDenseRetrievalScore(SearchScoresAggregatedScore denseRetrievalScore)`
  Set the denseRetrievalScore of this `SearchScores` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `SearchScores` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SearchScores

    protected SearchScores()
    Default constructor for SearchScores.

- ## Method Details

  - ### aggregatedScore

    @Nonnull public SearchScores aggregatedScore(@Nonnull SearchScoresAggregatedScore aggregatedScore)
    Set the aggregatedScore of this `SearchScores` instance and return the same instance.
    Parameters:
      `aggregatedScore` - The aggregatedScore of this `SearchScores`
    Returns:
      The same instance of this `SearchScores` class

  - ### getAggregatedScore

    @Nonnull public SearchScoresAggregatedScore getAggregatedScore()
    Get aggregatedScore
    Returns:
      aggregatedScore The aggregatedScore of this `SearchScores` instance.

  - ### setAggregatedScore

    public void setAggregatedScore(@Nonnull SearchScoresAggregatedScore aggregatedScore)
    Set the aggregatedScore of this `SearchScores` instance.
    Parameters:
      `aggregatedScore` - The aggregatedScore of this `SearchScores`

  - ### denseRetrievalScore

    @Nonnull public SearchScores denseRetrievalScore(@Nonnull SearchScoresAggregatedScore denseRetrievalScore)
    Set the denseRetrievalScore of this `SearchScores` instance and return the same instance.
    Parameters:
      `denseRetrievalScore` - The denseRetrievalScore of this `SearchScores`
    Returns:
      The same instance of this `SearchScores` class

  - ### getDenseRetrievalScore

    @Nonnull public SearchScoresAggregatedScore getDenseRetrievalScore()
    Get denseRetrievalScore
    Returns:
      denseRetrievalScore The denseRetrievalScore of this `SearchScores` instance.

  - ### setDenseRetrievalScore

    public void setDenseRetrievalScore(@Nonnull SearchScoresAggregatedScore denseRetrievalScore)
    Set the denseRetrievalScore of this `SearchScores` instance.
    Parameters:
      `denseRetrievalScore` - The denseRetrievalScore of this `SearchScores`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `SearchScores`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `SearchScores` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `SearchScores` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `SearchScores` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static SearchScores.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `SearchScores` instance with all required arguments.